from django.urls import path
from .views import (
    IndexView,
    ClienteListView,
    ClienteDetailView,
    ClienteCreateView,
    ClienteUpdateView,
    ClienteDeleteView,
)

urlpatterns = [
    path('', IndexView.as_view(), name='index'),
    path('clienti/', ClienteListView.as_view(), name='cliente_list'),
    path('clienti/<int:pk>/', ClienteDetailView.as_view(), name='cliente_detail'),
    path('clienti/new/', ClienteCreateView.as_view(), name='cliente_new'),
    path('clienti/<int:pk>/edit/', ClienteUpdateView.as_view(), name='cliente_edit'),
    path('clienti/<int:pk>/delete/', ClienteDeleteView.as_view(), name='cliente_delete'),
]